Orbiq logoTrust Center Documentation
API v1 ReferenceNda templatesIdFile

Upload base NDA template PDF

Upload the PDF for a draft, PDF-backed base template. The request accepts one `file` field. The file must be a PDF no larger than 10 MB.

PUT
/api/v1/nda-templates/{id}/file

Upload the PDF for a draft, PDF-backed base template. The request accepts one file field. The file must be a PDF no larger than 10 MB.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

NDA template ID

Formatuuid

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://app.orbiqhq.com/api/v1/nda-templates/$TEMPLATE_ID/file" \  -H "Authorization: Bearer $ACCESS_TOKEN" \  -F "file=@/path/to/nda.pdf"
{  "success": true}

How is this guide?